/*
    This file is part of the FElt finite element analysis package.
    Copyright (C) 1993,1994 Jason I. Gobat and Darren C. Atkinson

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <X11/IntrinsicP.h>
#include <stdio.h>
#include <ctype.h>
#include <errno.h>
#include <X11/StringDefs.h>
#include <X11/Xos.h>
#include <X11/Xfuncs.h>
#include <X11/Xaw/XawInit.h>
#include <X11/Xaw/AsciiSrcP.h>
#include <X11/Xaw/DialogP.h>
#include <X11/Xmu/Misc.h>
#include <X11/Xmu/CharSet.h>

#if (defined(ASCII_STRING) || defined(ASCII_DISK))
#  include <X11/Xaw/AsciiText.h> /* for Widget Classes. */
#endif


void
#if NeedFunctionPrototypes
XawAsciiSourceSaved(Widget w)
#else
XawAsciiSourceSaved(w)
Widget w;
#endif
{
  ((AsciiSrcObject) w)->ascii_src.changes = False;
  return;
}

Widget
# if NeedFunctionPrototypes
XawDialogValueWidget (Widget w)
#else
XawDialogValueWidget (w)
Widget w;
#endif
{
   Widget value;

   value = ((DialogWidget) w) -> dialog.valueW;

   /*fprintf (stderr,"%x\n",value);*/
   return value;
}
